<?php
#------------------------------------------------------#
#               本程序为zChain.net提供                 #
#                zChain论坛(ZBB)v2.00                  #
#------------------------------------------------------#
# INPUT[GET] : $action

require "bin/config.php";
require "bin/common.php";

require_once('core/class_forum_base.php');
CForumBase::setFileBase("$filepath");
require_once('core/base_memo_file.php');
require_once('core/class_user.php');

#--- Switch to rule display ---
if($action == "rule"){rule();exit;}

#--- Check permission ---
if(!$pubregusr){errorview("对不起，本论坛暂时不开放注册新用户名称！");}

#--- Display header ---
page_header('用户资料注册');
print "<CENTER>";
$posText=getRootText()." >> 用户资料注册";
menu_bar($posText,'');

#--- Display form ---
$oUsr=new CUser;

$oUsr->reset();
$oUsr->name='';
$oUsr->homepage='http://';

$url='zuser_update.php';

include('bin/form_user.php');
print '</CENTER>';

#--- Print footer ---
page_footer();
exit;

#--- Subroutin to display rules ---
function rule()
{
 global $imgurl,$commname,$hpname;

 page_header('用户守则',"$imgurl/bg.gif");
 print "<CENTER>";
 $posText=getRootText()." >> 用户守则";
 menu_bar($posText,'');

 print <<<EOT
<br>
<textarea rows=22 cols=80 readonly class=plain>
               {$commname}用户守则

一．用户守则
1.不得发表违反中华人民共和国宪法和法律、违反改革
  开放和四项基本原则的言论。
2.不得发表造谣、诽谤他人、煽动颠覆国家政权的言论。
3.不得发表暴力、色情、迷信的言论。 
4.不得泄露国家机密。
5.请勿张贴宣扬种族歧视、破坏民族团结的言论和消息。 
6.用户发表的文章仅代表个人观点，与{$hpname}无关。 
7.不得在灌水版之外版区发表灌水文章或张贴垃圾信息。 
8.不得将广告文章发布于非广告发布区。 
9.不得在讨论组中发表与版区主题无关的文章。 
10.不得将同一文章重复发表或转贴超过三个版以上。 

二．处罚办法
1.对于违反以上规定的文章，在不需要解释的情况下，版主
  和工作人员有权转贴或删除当前文章。对于被删除文章的
  用户，将依照规则，扣除部分经验值，
2.发表与版区主题无关的文章，轻者予以转贴或删除，情节
  特别严重者，版主有权屏蔽用户在该版的发言权。
3.发生以下情况下，除转贴或删除当前文章外，还将在一周
  内屏蔽用户讨论组发言权，情节特别严重者，工作人员有
  权永久屏蔽该用户的发言权。
  * 在灌水版外和广告版外发表灌水文章或发布广告
  * 重复发表或转贴超过三个版区以上
4.在社区（讨论组）中有非法商业行为或公然发表猥亵、色
  情、反动、和个人攻击性的文章，工作人员有权屏蔽该用
  户的讨论组发言权，情节特别严重者，{$hpname}保留删除其
  用户名的权利。
5.如果社区（讨论组）内存在用户违反中华人民共和国法律
  法规的行为，将上交公安机关处理。

三．附则
1.所有用户发表的文章因版权引起的纠纷，与{$hpname}无关。 
2.如果您登录{$commname}，意味着您将遵守以上规则， 
  并完全服从于本讨论组的统一管理。 
3.{$hpname}版权所有，未经授权禁止复制或建立镜像。
4.根据国家相关法律法规要求，{$commname}对部分敏感文字
  进行了过滤。
5.本办法由{$hpname}制定，解释权在{$hpname}。 
6.{$hpname}有权在必要时修改讨论组的服务内容，同时
  {$hpname}保留修改或中断服务而不需事先通知用户的
  权利。
7.本守则服务条款与中国的国家法律解析一致，包括法律 
  条款中有争议抵触的内容。用户和{$hpname}一致同意服 
  从高等法院所有管辖。若有任何服务条款与法律相抵触， 
  那这些条款将按尽可能接近的方法重新解析，而其它条 
  款则保持对用户产生法律效力和影响。 
</textarea><br><br>
<a href=# onclick='history.back();off()'>返回</a></CENTER>
EOT;

page_footer();

}

?>